org.appng.xml.platform

## Class Validation

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Validation

- All Implemented Interfaces:
    Serializable

      public class Validation
      extends BaseObject
      implements Serializable

  A container for the different validation rules of a field.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Digits` | `digits`
    `protected FileUpload` | `fileUpload`
    `protected Future` | `future`
    `protected Max` | `max`
    `protected Min` | `min`
    `protected NotNull` | `notNull`
    `protected Past` | `past`
    `protected Pattern` | `pattern`
    `protected List<Rule>` | `rules`
    `protected Size` | `size`
    `protected Type` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Validation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Digits` | `getDigits()` Gets the value of the digits property.
    `FileUpload` | `getFileUpload()` Gets the value of the fileUpload property.
    `Future` | `getFuture()` Gets the value of the future property.
    `Max` | `getMax()` Gets the value of the max property.
    `Min` | `getMin()` Gets the value of the min property.
    `NotNull` | `getNotNull()` Gets the value of the notNull property.
    `Past` | `getPast()` Gets the value of the past property.
    `Pattern` | `getPattern()` Gets the value of the pattern property.
    `List<Rule>` | `getRules()` Gets the value of the rules property.
    `Size` | `getSize()` Gets the value of the size property.
    `Type` | `getType()` Gets the value of the type property.
    `void` | `setDigits(Digits value)` Sets the value of the digits property.
    `void` | `setFileUpload(FileUpload value)` Sets the value of the fileUpload property.
    `void` | `setFuture(Future value)` Sets the value of the future property.
    `void` | `setMax(Max value)` Sets the value of the max property.
    `void` | `setMin(Min value)` Sets the value of the min property.
    `void` | `setNotNull(NotNull value)` Sets the value of the notNull property.
    `void` | `setPast(Past value)` Sets the value of the past property.
    `void` | `setPattern(Pattern value)` Sets the value of the pattern property.
    `void` | `setSize(Size value)` Sets the value of the size property.
    `void` | `setType(Type value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected Type type

    - #### notNull

          protected NotNull notNull

    - #### size

          protected Size size

    - #### min

          protected Min min

    - #### future

          protected Future future

    - #### past

          protected Past past

    - #### max

          protected Max max

    - #### digits

          protected Digits digits

    - #### pattern

          protected Pattern pattern

    - #### fileUpload

          protected FileUpload fileUpload

    - #### rules

          protected List<Rule> rules

  - ### Constructor Detail

    - #### Validation

          public Validation()

  - ### Method Detail

    - #### getType

          public Type getType()

      Gets the value of the type property.
      Returns:
        possible object is `Type`

    - #### setType

          public void setType(Type value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `Type`

    - #### getNotNull

          public NotNull getNotNull()

      Gets the value of the notNull property.
      Returns:
        possible object is `NotNull`

    - #### setNotNull

          public void setNotNull(NotNull value)

      Sets the value of the notNull property.
      Parameters:
        `value` - allowed object is `NotNull`

    - #### getSize

          public Size getSize()

      Gets the value of the size property.
      Returns:
        possible object is `Size`

    - #### setSize

          public void setSize(Size value)

      Sets the value of the size property.
      Parameters:
        `value` - allowed object is `Size`

    - #### getMin

          public Min getMin()

      Gets the value of the min property.
      Returns:
        possible object is `Min`

    - #### setMin

          public void setMin(Min value)

      Sets the value of the min property.
      Parameters:
        `value` - allowed object is `Min`

    - #### getFuture

          public Future getFuture()

      Gets the value of the future property.
      Returns:
        possible object is `Future`

    - #### setFuture

          public void setFuture(Future value)

      Sets the value of the future property.
      Parameters:
        `value` - allowed object is `Future`

    - #### getPast

          public Past getPast()

      Gets the value of the past property.
      Returns:
        possible object is `Past`

    - #### setPast

          public void setPast(Past value)

      Sets the value of the past property.
      Parameters:
        `value` - allowed object is `Past`

    - #### getMax

          public Max getMax()

      Gets the value of the max property.
      Returns:
        possible object is `Max`

    - #### setMax

          public void setMax(Max value)

      Sets the value of the max property.
      Parameters:
        `value` - allowed object is `Max`

    - #### getDigits

          public Digits getDigits()

      Gets the value of the digits property.
      Returns:
        possible object is `Digits`

    - #### setDigits

          public void setDigits(Digits value)

      Sets the value of the digits property.
      Parameters:
        `value` - allowed object is `Digits`

    - #### getPattern

          public Pattern getPattern()

      Gets the value of the pattern property.
      Returns:
        possible object is `Pattern`

    - #### setPattern

          public void setPattern(Pattern value)

      Sets the value of the pattern property.
      Parameters:
        `value` - allowed object is `Pattern`

    - #### getFileUpload

          public FileUpload getFileUpload()

      Gets the value of the fileUpload property.
      Returns:
        possible object is `FileUpload`

    - #### setFileUpload

          public void setFileUpload(FileUpload value)

      Sets the value of the fileUpload property.
      Parameters:
        `value` - allowed object is `FileUpload`

    - #### getRules

          public List<Rule> getRules()

      Gets the value of the rules property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rules property.

      For example, to add a new item, do as follows:

              getRules().add(newItem);

      Objects of the following type(s) are allowed in the list `Rule`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.